Subject: Guile 3.0.7 can not be compiled on Fedora rawhide

From: Tomas Korbar <[email-masked]>
Date: Mon, 19 Jul 2021 09:29:19 +0200

Hi Guys,
I am trying to package guile 3.0.7 into Fedora but I encountered a problem.
In sources, there is a header lib/libc-config.h and then there is
preprocessor condition for presence of __attribute_maybe_unused__ macro.
This macro is newly defined in the latest version of glibc which we have in
Fedora rawhide but other macros upon which guile relies are not defined,
specifically it is __attribute_nonnull__. This causes that compilation uses
systems sys/cdefs.h header and not guiles copy of gnulib. Currently guile
3.0.7 can not be compiled on Fedora rawhide without manual removal of
previously described conditional.
Steps to reproduce are simple, try to compile guile 3.0.7 on Fedora rawhide.

Thanks for any help.